gtkspell3 3.0.0~hg20110814-1 source package in Ubuntu

Changelog

gtkspell3 (3.0.0~hg20110814-1) unstable; urgency=low

  * New upstream release, based on GTK+3.
  * Rename source package to gtkspell3, as we need to keep the GTK+2
    version and both can be installed in parallel.
  * Rename binary packages to match new lib name.
  * Bump Build-Depends to meet new requirements.
  * Bump to debhelper compat 8.
  * Rewrite debian/rules using CDBS, as most other pkg-gnome sources.
  * Rename *.files to .install.
  * Update symbols file.
  * Remove .dirs files.
  * Drop .la and .a files.
  * Pass --enable-gtk-doc to configure.
  * Remove duplicate Section field.
  * Add Homepage and Vcs-* fields.
  * Bump to Standards-Version 3.9.2.

gtkspell (2.0.16-1) unstable; urgency=low

  * New upstream release
    - Should fix some memory leak problems (Closes: #520608)
  * Add Build-Depends-Package to .symbols file

gtkspell (2.0.13-2) unstable; urgency=low

  * Add updated copyright & watch files from Siegfried Gevatter 
    (Closes: #508069) 

gtkspell (2.0.13-1) unstable; urgency=low

  * New upstream release
    - Switch to Enchant (Closes: #473536)

gtkspell (2.0.10-4) unstable; urgency=low

  * Seed symbols file for libgtkspell0
  * Move spell-checking library from Libs to Libs.private in aspell.pc
  * Remove .la files since we provide a pkg-config .pc file

gtkspell (2.0.10-3) unstable; urgency=low

  * Update build-depends for libaspell-dev >= 0.60.3-3 for the C++ ABI
    transition

gtkspell (2.0.10-2) unstable; urgency=low

  * Re-enable word-breaking workarounds, it's still broken in Pango
    (Closes: #302799)

gtkspell (2.0.10-1) unstable; urgency=low

  * New upstream release

gtkspell (2.0.9-1) unstable; urgency=low

  * New upstream release

gtkspell (2.0.8-1) unstable; urgency=low

  * New upstream release, contains some minor bugfixes and a new translation

gtkspell (2.0.7-1) unstable; urgency=low

  * New upstream release, conveniently with no changes since yesterday.
  * Actually include the LC_MESSAGES files in libgtkspell0 since
    it's now localized

gtkspell (2.0.6+cvs20040821-1) unstable; urgency=low

  * Update to latest upstream CVS, fixes spellchecking under gaim with a non-C
    locale, and fixes clobbering other programs' locales (Closes: #266380)

gtkspell (2.0.6-2) unstable; urgency=low

  * I just realized the -dev depdencies were incorrectly depending on
    libpspell-dev. Change it to libaspell-dev.

gtkspell (2.0.6-1) unstable; urgency=low

  * New upstream release (wow, I'm slow.)

gtkspell (2.0.5-3) unstable; urgency=low

  * Don't depend on aspell
  * Remove Recommends: aspell-dictionary, since libaspell15 provides that

gtkspell (2.0.5-2) unstable; urgency=low

  * Bump standards-version; no changes necessary

gtkspell (2.0.5-1) unstable; urgency=low

  * New upstream release

gtkspell (2.0.4-7) unstable; urgency=low

  * Versioned dependency on libaspell-dev

gtkspell (2.0.4-6) unstable; urgency=low

  * Move -dev package to libdevel
  * Add versioned shlib

gtkspell (2.0.4-5) unstable; urgency=low

  * Don't build documentation, built docs already come in the 
    distribution. (Closes: #178143)

gtkspell (2.0.4-4) unstable; urgency=low

  * Don't specify -laspell in the pkg-config file. Will solve weird 
    aspell dependency problems in the future.

gtkspell (2.0.4-3) unstable; urgency=low

  * Add xsltproc to build-depends

gtkspell (2.0.4-2) unstable; urgency=low

  * Clean up docs/xml and docs/html/*.png since 'make clean' doesn't do 
  it properly itself.
  * Build-depends on gtk-doc-tools

gtkspell (2.0.4-1) unstable; urgency=low

  * New upstream release
  * Use aspell instead of pspell (Closes: #177299)
  * Includes documentation in the -dev package

gtkspell (2.0.3-5) unstable; urgency=low

  * Make sure to include libgtkspell.la (Thanks Robert McQueen)

gtkspell (2.0.3-4) unstable; urgency=low

  * Depend on aspell. No reason people should be using ispell.

gtkspell (2.0.3-3) unstable; urgency=low

  * Recommends: aspell and aspell-dictionary, make a note in README.Debian.

gtkspell (2.0.3-2) unstable; urgency=low

  * Check for noopt in DEB_BUILD_OPTIONS correctly

gtkspell (2.0.3-1) unstable; urgency=low

  * New upstream release
    - Hack around Pango word-breaking bug:
      http://bugzilla.gnome.org/show_bug.cgi?id=97545
      so we no longer incorrectly flag words with apostrophes as
      misspellings.
  

gtkspell (2.0.2-3) unstable; urgency=low

  * Unreleased
  * Bump standards to 3.5.7
    - Don't check for debug, default to "-O2 -g -Wall" for CFLAGS and
      check for noopt, as policy suggests

gtkspell (2.0.2-2) unstable; urgency=low

  * Updated -dev description
  * Recompile against libgtk2.0-0, not -0png3 (ugh)

gtkspell (2.0.2-1) unstable; urgency=low

  * New upstream release
    - Fixes a crash if the LANG env variable isn't set (which isn't the
	  case on almost all Debian systems)

gtkspell (2.0.1-2) unstable; urgency=low

  * Recompile against libgtk2.0-0png3
  * New upstream release

gtkspell (2.0.0-2) unstable; urgency=low

  * Add dependencies to the -dev package
  * Add debian/watch file
  * Debhelper v4

gtkspell (2.0.0-1) unstable; urgency=low

  * Initial Debian release. (Closes: #153160)
 -- Sebastien Bacher <email address hidden>   Wed,  04 Jan 2012 15:29:41 +0000

Upload details

Uploaded by:
Sebastien Bacher on 2012-01-04
Uploaded to:
Precise
Original maintainer:
Ari Pollak
Architectures:
any
Section:
libs
Urgency:
Low Urgency

See full publishing history Publishing

Series Pocket Published Component Section
Precise release on 2012-01-04 main libs

Downloads

File Size SHA-256 Checksum
gtkspell3_3.0.0~hg20110814.orig.tar.gz 354.1 KiB fdcd50edab039329f6c8860c6f640c19001b985d1b225a3b31813dba6e97cf6a
gtkspell3_3.0.0~hg20110814-1.debian.tar.gz 4.4 KiB 1d617ffd874e0d370ac579e8c0de6ae81689820782031745719dc6721b7b688a
gtkspell3_3.0.0~hg20110814-1.dsc 1.6 KiB 735eb2e3684fe17088e8f4f8ccd8208215d16e5b643326af7142bde5b4d76f62

View changes file

Binary packages built by this source

libgtkspell-3-0: spell-checking addon for GTK's TextView widget

 GtkSpell provides MSWord/MacOSX-style highlighting of misspelled words in a
 GtkTextView widget. Right-clicking a misspelled word pops up a menu of
 suggested replacements.

libgtkspell-3-dev: Development files for GtkSpell

 This package contains the headers and static libraries for developing
 applications with GtkSpell support. Also included are documentation and
 example code for developing GtkSpell applications.